TagLib::Shorten::Properties Class Reference

An implementation of audio properties for Shorten. More...

`#include <shortenproperties.h>`

Inheritance diagram for TagLib::Shorten::Properties:
[legend]
Collaboration diagram for TagLib::Shorten::Properties:
[legend]

## Public Member Functions

| Properties (const PropertyValues *values, ReadStyle style=Average)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | shortenVersion () const
| Returns the Shorten file version (1-3).
int | fileType () const
int | bitsPerSample () const
unsigned long | sampleFrames () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio properties for Shorten.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::Shorten::Properties::Properties | ( | const PropertyValues * | values,
|  | ReadStyle | style = Average )

References TagLib::AudioProperties::Average.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::Shorten::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::Shorten::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::Shorten::Properties::bitrate | ( |  | ) | const

override virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::Shorten::Properties::bitsPerSample | ( |  | ) | const

## channels()

int TagLib::Shorten::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## fileType()

int TagLib::Shorten::Properties::fileType | ( |  | ) | const

Returns the file type (0-9). 0 = 8-bit µ-law, 1 = signed 8-bit PCM, 2 = unsigned 8-bit PCM, 3 = signed big-endian 16-bit PCM, 4 = unsigned big-endian 16-bit PCM, 5 = signed little-endian 16-bit PCM, 6 = unsigned little-endian 16-bit PCM, 7 = 8-bit ITU-T G.711 µ-law, 8 = 8-bit µ-law, 9 = 8-bit A-law, 10 = 8-bit ITU-T G.711 A-law

## lengthInMilliseconds()

int TagLib::Shorten::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::Shorten::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleFrames()

unsigned long TagLib::Shorten::Properties::sampleFrames | ( |  | ) | const

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## sampleRate()

int TagLib::Shorten::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

## shortenVersion()

int TagLib::Shorten::Properties::shortenVersion | ( |  | ) | const

Returns the Shorten file version (1-3).

The documentation for this class was generated from the following file:

- shortenproperties.h